آپدیت ورژن لاراول پروژه

زمان قرارگیری : 13 فروردین 1399
زمان این قسمت : 10:24
برای دسترسی به این دوره نیاز است بصورت نقدی این دوره را خریداری کنید و این دوره بخشی از دوره های اعضای ویژه نمیباشد

تعداد شرکت کنندگان 328 نفر
قیمت دوره 259000 تومان
وضعیت دوره در حال برگزاری
زمان کل دوره 26:39:36
تعداد قسمت‌ها 117
نوع دسترسی نقدی

در این جلسه قصد دارم به شما نشان دهم در صورت آپدیت شدن لاراول چطور میتوانیم ورژن لاراول پروژه خود را به ورژن بالاتر آپدیت کنیم.

بخش اول
مقدمات
رایگان 09:10
بخش ششم
مفاهیم هسته لاراول
برای دسترسی به این دوره نیاز است بصورت نقدی این دوره را خریداری کنید و این دوره بخشی از دوره های اعضای ویژه نمیباشد

تعداد شرکت کنندگان 328 نفر
قیمت دوره 259000 تومان
وضعیت دوره در حال برگزاری
زمان کل دوره 26:39:36
تعداد قسمت‌ها 117
نوع دسترسی نقدی

آفلاین
user-avatar
مدرس دوره حسام موسوی

اول داستان، طراح گرافیک بودم و ۲ سالی به عنوان طراح مشغول بودم، بعد به برنامه‌نویسی علاقمند شدم و الان بیشتر از ۱۰ ساله که عاشق کدزنی و چالش‌های پروژه‌های مختلفم. به تدریس علاقه خاصی دارم و دوست دارم دانشی که در این راه بدست آوردم را در اختیار دیگران هم قرار بدم. 

سوالات و گفتگو‌ها

سوالات و گفتگو‌ها

اگر سوال و مشکلی یا حتی بحثی در یکی از حوزه‌های برنامه‌نویسی دارید این بخش به شما کمک ویژه‌ای خواهد کرد

دورهای پیشنهادی

مشاهده همه دوره ها
آموزش لاراول

آموزش لاراول

فریمورک لاراول یکی از محبوبترین و بهترین فریمورک های حال حاضر برای زبان php می باشد، آموزش لاراول راکت می‌تواند به شکل رایگان به شما لاراول را آموزش د...

آشنایی با امکانات جدید لاراول 5.4

آشنایی با امکانات جدید لاراول 5.4

در همین ابتدای این دوره باید بگم کسانی میتونن این دوره رو مشاهده کنند که با لاراول آشنا باشن پس اگر هنوز نمی دونید که لاراول چطور کار میکنه ، لطف ابتد...

آشنایی با امکانات جدید لاراول 5.3

آشنایی با امکانات جدید لاراول 5.3

لاراول ۵.۳ بزودی به طور رسمی ارائه میشه اما نسخه develop اون چند وقتی میشه که در اختیار کاربران قرار گرفته در این دوره آموزشی سعی میکنیم که امکانات و...

دسترسی رایگان برای اعضای ویژه
آشنایی با امکانات جدید لاراول 5.2

آشنایی با امکانات جدید لاراول 5.2

لاراول 5.2 بزودی به طور رسمی ارائه میشه اما نسخه develop اون چند وقتی میشه که در اختیار کاربران قرار گرفته در این دوره آموزشی سعی میکنیم که امکانات و...

دیدگاه‌ها و پرسش‌ها

برای ارسال نظر لازم است ابتدا وارد سایت شوید
آفلاین
user-avatar
navid
3 هفته پیش

سلام
مرسی بابت پشتیبانی خیلی خوبتون
من بعد از آپدیت کردن ورژن لاراول recaptcha رو دیگه تو لاگین بهم نشون نمیده وقتی رویه لاگین کلیک میکنم ارور من روبات نیستم رو نشون میده ولی ریکپچا رو نمیاره
git status میگیرم هیچ تغییری نکرده
چیزی تو inspect نشون میده بهم

Uncaught Error: Missing required parameters: sitekey
    at new Ls (recaptcha__fa.js:۴۵۹)
    at Ll.<anonymous> (recaptcha__fa.js:۲۱)
    at new Ll (recaptcha__fa.js:۵۹۳)
    at Array.<anonymous> (recaptcha__fa.js:۱۶۵)
    at recaptcha__fa.js:۳۹۴
    at Array.forEach (<anonymous>)
    at Array.<anonymous> (recaptcha__fa.js:۳۹۴)
    at Array.<anonymous> (recaptcha__fa.js:۵۳)
    at recaptcha__fa.js:۳۳۸
    at Array.<anonymous> (recaptcha__fa.js:۱۸۶)
آفلاین
user-avatar
حسام موسوی
2 هفته پیش

درود بر شما
یک نکته لطفا فارسی تایپ کنید " مجبور شدیم فینگلیش شما رو به فارسی تغییر بدیم" در صورت تکرار مجدد متاسفانه نمیتونیم نظرتون رو ثبت کنیم
در مورد ارورتون تغییر مربوط به sitekey میشه اون قسمتی که در دوره هم دیدی که باید client_key رو پاس بدیم به recaptcha تا برامون بالا بیاره
حالا این وسط شما احتمالا کاری کردید که این sitekey در جای خودش قرار نگرفته باید قدم به قدم کدتون رو چک بفرمایید

آفلاین
user-avatar
مهرزاد
4 ماه پیش

من این ارور رو تو ubuntu دریافت میکنم
phpرو آپدیت کردم
توضیح تصویر رو وارد کنید

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

شما باید extension های زیر رو نصب کنید حتما

BCMath PHP Extension
Ctype PHP Extension
Fileinfo PHP extension
JSON PHP Extension
Mbstring PHP Extension
OpenSSL PHP Extension
PDO PHP Extension
Tokenizer PHP Extension
XML PHP Extension

الان ارور شما مربوطه به

Mbstring PHP Extension
آفلاین
user-avatar
مهرزاد
4 ماه پیش

ممنون مشکلم حل شد
apt-get install php7.4-Mbstring

آفلاین
user-avatar
مهرزاد
4 ماه پیش

سلام مهندس
من از Ubuntu 18.4 استفاده میکنم
و برای اتصال به phpmyadmin از apache2 استفاده میکنم
یعنی xampp نصب نکردم
اما چیزی که هست ورژن php من بالاتر از 7.2.24 نرفت چندین بار هم php و همه وابستگی هاش رو پاک کردم دوباره نصب کردم
ولی بالاتر نرفت
الان باتوجه به نیاز به php 7.2.5 چه راهی پیشنهاد میکنید.

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

یعنی چی بالا نرفت ؟ خودش اتوماتیک که بالا نمیره باید ورژن بالاتر رو نصب بفرمایید

آفلاین
user-avatar
مهرزاد
4 ماه پیش

اطلاع ندارم چوری میتونم ورژن جدید رو نصب کنم
اگه امکان داره روش ارتقاء رو بگید.
متشکرم

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

این مطلب رو در گوگل سرچ بفرمایید

how to upgrade php version on ubuntu
آفلاین
user-avatar
مهرزاد
4 ماه پیش

مرسی اطلاع از آپدیت نداشتم
فکردم با نصب apache , php خوش آخریش رو قاعدتا باید نصب کنه.
بازم ممنون

آفلاین
user-avatar
محمد نمازی
4 ماه پیش

سلام
تمام مراحل آپگرید رو همراه شما پیش رفتم، اما موقع php artisan serv گرفتن با iterm عمل نمیکنه و با ترمینال phpstorm که میگیرم عمل میکنه اما ویوهای قدیمی رو واسم بارگذاری میکنه، واسم خیلی جالبه، مشکل از چی میتونه باشه ؟

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

این چیز عجیبه ربطی به لاراول نداره احتمال مربوط به iterm میشه البته من همین الان دارم ازش استفاده میکنم پس مربوط به سیستم شماست

آفلاین
user-avatar
محمد نمازی
4 ماه پیش

یه دفعه دیگه آپدیت کردمُ دفع قبل هسته لاراول آپدیت نشده بود، الان این ارور رو میده، دو بار هم تست کردم

In ServiceProvider.php line 77:

Your version of Laravel is not supported

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

الان داخل iterm این ارور رو دارید ؟ یا phpstorm که اوکی هست ؟

آفلاین
user-avatar
محمد نمازی
4 ماه پیش

فرقی نمیکنه هم phpStorm و هم iTerm این ارور رو دارم.
فایل رو با فایل اصلی در پروژه شما و هم پروژه خام لاراول جایگزین کردم اما بازم فرقی نکرد.

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

با توجه به اروری که در بخش بحث و گفتگو قرار دادید مشخصه پکیجی با نام kavenegar/laravel با ورژن ۷ سازگار نیست و هنوز آپدیت ندادن

آفلاین
user-avatar
حسام موسوی
4 ماه پیش

لینک گفتگو
https://roocket.ir/discuss/8267